package com.bonus.canteen.core.menu.utils;

public class NutritionEntity {
   private Double edible;
   private Double water;
   private Double calories;
   private Double protein;
   private Double fat;
   private Double carbohydrate;
   private Double dietaryFiber;
   private Double cholesterol;
   private Double ash;
   private Double vitaminA;
   private Double carotene;
   private Double retinol;
   private Double thiamine;
   private Double riboflavin;
   private Double niacin;
   private Double vitaminC;
   private Double vitaminE;
   private Double calcium;
   private Double phosphorus;
   private Double kalium;
   private Double sodium;
   private Double magnesium;
   private Double iron;
   private Double zinc;
   private Double selenium;
   private Double cuprum;
   private Double manganese;
   private Double isoleucine;
   private Double leucine;
   private Double lysine;
   private Double saaTotal;
   private Double aaaTotal;
   private Double threonine;
   private Double tryptophan;
   private Double valine;
   private Double arginine;
   private Double histidine;
   private Double alanine;
   private Double asparticAcid;
   private Double glutamate;
   private Double glycine;
   private Double proline;
   private Double serine;
   private Double fattyAcid;
   private Double iodine;
   private Double folic;
   private Double choline;
   private Double biotin;
   private Double pantothenicAcid;
   private Double guanine;
   private Double adenine;
   private Double hypoxanthine;
   private Double xanthine;
   private Double purine;
   private Double glycemicIndex;
   private Double weight;
   private Double totalWeight;
   private Double baseWeight;

   public Double getEdible() {
      return this.edible;
   }

   public Double getWater() {
      return this.water;
   }

   public Double getCalories() {
      return this.calories;
   }

   public Double getProtein() {
      return this.protein;
   }

   public Double getFat() {
      return this.fat;
   }

   public Double getCarbohydrate() {
      return this.carbohydrate;
   }

   public Double getDietaryFiber() {
      return this.dietaryFiber;
   }

   public Double getCholesterol() {
      return this.cholesterol;
   }

   public Double getAsh() {
      return this.ash;
   }

   public Double getVitaminA() {
      return this.vitaminA;
   }

   public Double getCarotene() {
      return this.carotene;
   }

   public Double getRetinol() {
      return this.retinol;
   }

   public Double getThiamine() {
      return this.thiamine;
   }

   public Double getRiboflavin() {
      return this.riboflavin;
   }

   public Double getNiacin() {
      return this.niacin;
   }

   public Double getVitaminC() {
      return this.vitaminC;
   }

   public Double getVitaminE() {
      return this.vitaminE;
   }

   public Double getCalcium() {
      return this.calcium;
   }

   public Double getPhosphorus() {
      return this.phosphorus;
   }

   public Double getKalium() {
      return this.kalium;
   }

   public Double getSodium() {
      return this.sodium;
   }

   public Double getMagnesium() {
      return this.magnesium;
   }

   public Double getIron() {
      return this.iron;
   }

   public Double getZinc() {
      return this.zinc;
   }

   public Double getSelenium() {
      return this.selenium;
   }

   public Double getCuprum() {
      return this.cuprum;
   }

   public Double getManganese() {
      return this.manganese;
   }

   public Double getIsoleucine() {
      return this.isoleucine;
   }

   public Double getLeucine() {
      return this.leucine;
   }

   public Double getLysine() {
      return this.lysine;
   }

   public Double getSaaTotal() {
      return this.saaTotal;
   }

   public Double getAaaTotal() {
      return this.aaaTotal;
   }

   public Double getThreonine() {
      return this.threonine;
   }

   public Double getTryptophan() {
      return this.tryptophan;
   }

   public Double getValine() {
      return this.valine;
   }

   public Double getArginine() {
      return this.arginine;
   }

   public Double getHistidine() {
      return this.histidine;
   }

   public Double getAlanine() {
      return this.alanine;
   }

   public Double getAsparticAcid() {
      return this.asparticAcid;
   }

   public Double getGlutamate() {
      return this.glutamate;
   }

   public Double getGlycine() {
      return this.glycine;
   }

   public Double getProline() {
      return this.proline;
   }

   public Double getSerine() {
      return this.serine;
   }

   public Double getFattyAcid() {
      return this.fattyAcid;
   }

   public Double getIodine() {
      return this.iodine;
   }

   public Double getFolic() {
      return this.folic;
   }

   public Double getCholine() {
      return this.choline;
   }

   public Double getBiotin() {
      return this.biotin;
   }

   public Double getPantothenicAcid() {
      return this.pantothenicAcid;
   }

   public Double getGuanine() {
      return this.guanine;
   }

   public Double getAdenine() {
      return this.adenine;
   }

   public Double getHypoxanthine() {
      return this.hypoxanthine;
   }

   public Double getXanthine() {
      return this.xanthine;
   }

   public Double getPurine() {
      return this.purine;
   }

   public Double getGlycemicIndex() {
      return this.glycemicIndex;
   }

   public Double getWeight() {
      return this.weight;
   }

   public Double getTotalWeight() {
      return this.totalWeight;
   }

   public Double getBaseWeight() {
      return this.baseWeight;
   }

   public void setEdible(final Double edible) {
      this.edible = edible;
   }

   public void setWater(final Double water) {
      this.water = water;
   }

   public void setCalories(final Double calories) {
      this.calories = calories;
   }

   public void setProtein(final Double protein) {
      this.protein = protein;
   }

   public void setFat(final Double fat) {
      this.fat = fat;
   }

   public void setCarbohydrate(final Double carbohydrate) {
      this.carbohydrate = carbohydrate;
   }

   public void setDietaryFiber(final Double dietaryFiber) {
      this.dietaryFiber = dietaryFiber;
   }

   public void setCholesterol(final Double cholesterol) {
      this.cholesterol = cholesterol;
   }

   public void setAsh(final Double ash) {
      this.ash = ash;
   }

   public void setVitaminA(final Double vitaminA) {
      this.vitaminA = vitaminA;
   }

   public void setCarotene(final Double carotene) {
      this.carotene = carotene;
   }

   public void setRetinol(final Double retinol) {
      this.retinol = retinol;
   }

   public void setThiamine(final Double thiamine) {
      this.thiamine = thiamine;
   }

   public void setRiboflavin(final Double riboflavin) {
      this.riboflavin = riboflavin;
   }

   public void setNiacin(final Double niacin) {
      this.niacin = niacin;
   }

   public void setVitaminC(final Double vitaminC) {
      this.vitaminC = vitaminC;
   }

   public void setVitaminE(final Double vitaminE) {
      this.vitaminE = vitaminE;
   }

   public void setCalcium(final Double calcium) {
      this.calcium = calcium;
   }

   public void setPhosphorus(final Double phosphorus) {
      this.phosphorus = phosphorus;
   }

   public void setKalium(final Double kalium) {
      this.kalium = kalium;
   }

   public void setSodium(final Double sodium) {
      this.sodium = sodium;
   }

   public void setMagnesium(final Double magnesium) {
      this.magnesium = magnesium;
   }

   public void setIron(final Double iron) {
      this.iron = iron;
   }

   public void setZinc(final Double zinc) {
      this.zinc = zinc;
   }

   public void setSelenium(final Double selenium) {
      this.selenium = selenium;
   }

   public void setCuprum(final Double cuprum) {
      this.cuprum = cuprum;
   }

   public void setManganese(final Double manganese) {
      this.manganese = manganese;
   }

   public void setIsoleucine(final Double isoleucine) {
      this.isoleucine = isoleucine;
   }

   public void setLeucine(final Double leucine) {
      this.leucine = leucine;
   }

   public void setLysine(final Double lysine) {
      this.lysine = lysine;
   }

   public void setSaaTotal(final Double saaTotal) {
      this.saaTotal = saaTotal;
   }

   public void setAaaTotal(final Double aaaTotal) {
      this.aaaTotal = aaaTotal;
   }

   public void setThreonine(final Double threonine) {
      this.threonine = threonine;
   }

   public void setTryptophan(final Double tryptophan) {
      this.tryptophan = tryptophan;
   }

   public void setValine(final Double valine) {
      this.valine = valine;
   }

   public void setArginine(final Double arginine) {
      this.arginine = arginine;
   }

   public void setHistidine(final Double histidine) {
      this.histidine = histidine;
   }

   public void setAlanine(final Double alanine) {
      this.alanine = alanine;
   }

   public void setAsparticAcid(final Double asparticAcid) {
      this.asparticAcid = asparticAcid;
   }

   public void setGlutamate(final Double glutamate) {
      this.glutamate = glutamate;
   }

   public void setGlycine(final Double glycine) {
      this.glycine = glycine;
   }

   public void setProline(final Double proline) {
      this.proline = proline;
   }

   public void setSerine(final Double serine) {
      this.serine = serine;
   }

   public void setFattyAcid(final Double fattyAcid) {
      this.fattyAcid = fattyAcid;
   }

   public void setIodine(final Double iodine) {
      this.iodine = iodine;
   }

   public void setFolic(final Double folic) {
      this.folic = folic;
   }

   public void setCholine(final Double choline) {
      this.choline = choline;
   }

   public void setBiotin(final Double biotin) {
      this.biotin = biotin;
   }

   public void setPantothenicAcid(final Double pantothenicAcid) {
      this.pantothenicAcid = pantothenicAcid;
   }

   public void setGuanine(final Double guanine) {
      this.guanine = guanine;
   }

   public void setAdenine(final Double adenine) {
      this.adenine = adenine;
   }

   public void setHypoxanthine(final Double hypoxanthine) {
      this.hypoxanthine = hypoxanthine;
   }

   public void setXanthine(final Double xanthine) {
      this.xanthine = xanthine;
   }

   public void setPurine(final Double purine) {
      this.purine = purine;
   }

   public void setGlycemicIndex(final Double glycemicIndex) {
      this.glycemicIndex = glycemicIndex;
   }

   public void setWeight(final Double weight) {
      this.weight = weight;
   }

   public void setTotalWeight(final Double totalWeight) {
      this.totalWeight = totalWeight;
   }

   public void setBaseWeight(final Double baseWeight) {
      this.baseWeight = baseWeight;
   }
}
